## com.trilead.ssh2.auth
Class AuthenticationManager

    java.lang.Object
      com.trilead.ssh2.auth.AuthenticationManager

All Implemented Interfaces:
  MessageHandler

    public class AuthenticationManager

extends java.lang.Object
implements MessageHandler

AuthenticationManager.

Constructor Summary
`AuthenticationManager(TransportManager tm)`

Method Summary
`boolean` `authenticateInteractive(java.lang.String user, java.lang.String[] submethods, InteractiveCallback cb)`
`boolean` `authenticateNone(java.lang.String user)`
`boolean` `authenticatePassword(java.lang.String user, java.lang.String pass)`
`boolean` `authenticatePublicKey(java.lang.String user, char[] PEMPrivateKey, java.lang.String password, java.security.SecureRandom rnd)`
`boolean` `getPartialSuccess()`
`java.lang.String[]` `getRemainingMethods(java.lang.String user)`
`void` `handleMessage(byte[] msg, int msglen)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### AuthenticationManager

    public AuthenticationManager(TransportManager tm)

Method Detail

### getRemainingMethods

    public java.lang.String[] getRemainingMethods(java.lang.String user)
                                           throws java.io.IOException

  Throws:
    `java.io.IOException`

### getPartialSuccess

    public boolean getPartialSuccess()

### authenticatePublicKey

    public boolean authenticatePublicKey(java.lang.String user,
                                         char[] PEMPrivateKey,
                                         java.lang.String password,
                                         java.security.SecureRandom rnd)
                                  throws java.io.IOException

  Throws:
    `java.io.IOException`

### authenticateNone

    public boolean authenticateNone(java.lang.String user)
                             throws java.io.IOException

  Throws:
    `java.io.IOException`

### authenticatePassword

    public boolean authenticatePassword(java.lang.String user,
                                        java.lang.String pass)
                                 throws java.io.IOException

  Throws:
    `java.io.IOException`

### authenticateInteractive

    public boolean authenticateInteractive(java.lang.String user,
                                           java.lang.String[] submethods,
                                           InteractiveCallback cb)
                                    throws java.io.IOException

  Throws:
    `java.io.IOException`

### handleMessage

    public void handleMessage(byte[] msg,
                              int msglen)
                       throws java.io.IOException

  Specified by:
    `handleMessage` in interface `MessageHandler`
  Throws:
    `java.io.IOException`